API ReferenceapiidentityGET /v1/entitlements/{user_id}

GET /v1/entitlements/\{user_id\}

Service: identity · operationId: (none)

List entitlement grants for a user

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Entitlement grants

{
  "type": "object",
  "properties": {
    "grants": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "external_id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "product_key": {
            "type": "string"
          },
          "status": {
            "type": "string",
            "enum": [
              "active",
              "revoked",
              "expired"
            ]
          },
          "granted_at": {
            "type": "string"
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "revoked_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "source": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "metadata": {},
          "granted_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "external_id",
          "user_id",
          "product_key",
          "status",
          "granted_at",
          "expires_at",
          "revoked_at",
          "source",
          "brand_id",
          "granted_by",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "grants"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/entitlements/{user_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"